POST api/sitecustomerapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
SiteCustomerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| delay_between_scans | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| name | string |
Required String length: inclusive between 0 and 100 |
|
| remark | string |
None. |
|
| site_id | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"delay_between_scans": 1,
"id": "09ee5e7f-11e0-4a0f-beda-52684a9d3b1a",
"name": "sample string 4",
"remark": "sample string 5",
"site_id": "5d85e614-8c1e-4b4f-8a77-45e39fead6ea"
}
application/xml, text/xml
Sample:
<sitecustomer xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <delay_between_scans>1</delay_between_scans> <id>09ee5e7f-11e0-4a0f-beda-52684a9d3b1a</id> <name>sample string 4</name> <remark>sample string 5</remark> <site_id>5d85e614-8c1e-4b4f-8a77-45e39fead6ea</site_id> </sitecustomer>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"ae2e3e98-b81b-4dbe-b97c-2b3d386c06e5"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">ae2e3e98-b81b-4dbe-b97c-2b3d386c06e5</guid>